org.richfaces.component

## Class UITooltip

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractTooltip
        - - org.richfaces.component.UITooltip

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

      @Generated(value={"RichFaces CDK","4.3.0.20121024-M2"})
      public class UITooltip
      extends AbstractTooltip
      implements javax.faces.component.behavior.ClientBehaviorHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

  The <rich:tooltip> component provides an informational tool-tip. The tool-tip can be attached to any control and is displayed when hovering the mouse cursor over the control.

  Author:
    amarkhel

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UITooltip.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractTooltip

      `CONTENT_META_COMPONENT_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.component.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITooltip()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()`
    `String` | `getDefaultEventName()`
    `String` | `getDir()`
    `org.richfaces.component.Positioning` | `getDirection()`
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()`
    `String` | `getFamily()`
    `int` | `getHideDelay()` Delay in milliseconds before tooltip will be hidden.
    `String` | `getHideEvent()` Event that triggers the tooltip disappearance.
    `int` | `getHorizontalOffset()` Sets the horizontal offset between pop-up list and mouse pointer.
    `org.richfaces.component.Positioning` | `getJointPoint()`
    `String` | `getLang()`
    `org.richfaces.TooltipLayout` | `getLayout()` Block/inline mode flag.
    `org.richfaces.TooltipMode` | `getMode()` Controls the way of data loading to a tooltip.
    `String` | `getOnbeforedomupdate()`
    `String` | `getOnbeforehide()`
    `String` | `getOnbeforeshow()`
    `String` | `getOnbegin()`
    `String` | `getOnclick()`
    `String` | `getOncomplete()`
    `String` | `getOndblclick()`
    `String` | `getOnhide()`
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getOnshow()`
    `Object` | `getRender()`
    `int` | `getShowDelay()` Delay in milliseconds before tooltip will be displayed.
    `String` | `getShowEvent()` Event that triggers the tooltip.
    `String` | `getStatus()`
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTitle()`
    `int` | `getVerticalOffset()` Sets the vertical offset between pop-up list and mouse pointer.
    `int` | `getZindex()`
    `boolean` | `isAttached()` If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally.
    `boolean` | `isFollowMouse()` If "true" tooltip should follow the mouse while it moves over the parent element.
    `boolean` | `isLimitRender()`
    `void` | `setAttached(boolean attached)`
    `void` | `setData(Object data)`
    `void` | `setDir(String dir)`
    `void` | `setDirection(org.richfaces.component.Positioning direction)`
    `void` | `setExecute(Object execute)`
    `void` | `setFollowMouse(boolean followMouse)`
    `void` | `setHideDelay(int hideDelay)`
    `void` | `setHideEvent(String hideEvent)`
    `void` | `setHorizontalOffset(int horizontalOffset)`
    `void` | `setJointPoint(org.richfaces.component.Positioning jointPoint)`
    `void` | `setLang(String lang)`
    `void` | `setLayout(org.richfaces.TooltipLayout layout)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setMode(org.richfaces.TooltipMode mode)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbeforehide(String onbeforehide)`
    `void` | `setOnbeforeshow(String onbeforeshow)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnhide(String onhide)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnshow(String onshow)`
    `void` | `setRender(Object render)`
    `void` | `setShowDelay(int showDelay)`
    `void` | `setShowEvent(String showEvent)`
    `void` | `setStatus(String status)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setVerticalOffset(int verticalOffset)`
    `void` | `setZindex(int zindex)`

    - ### Methods inherited from class org.richfaces.component.AbstractTooltip

      `encodeMetaComponent, getContentClientId, getTarget, resolveClientId, setTarget, substituteUnresolvedClientId, visitTree`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITooltip

          public UITooltip()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractTooltip`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isAttached

          public boolean isAttached()

      Description copied from class: `AbstractTooltip`
      If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally. Default value is "true"
      Specified by:
        `isAttached` in class `AbstractTooltip`

    - #### setAttached

          public void setAttached(boolean attached)

    - #### getData

          public Object getData()

    - #### setData

          public void setData(Object data)

    - #### getDir

          public String getDir()

      Specified by:
        `getDir` in interface `AbstractDivPanel`

    - #### setDir

          public void setDir(String dir)

    - #### getDirection

          public org.richfaces.component.Positioning getDirection()

      Specified by:
        `getDirection` in class `AbstractTooltip`

    - #### setDirection

          public void setDirection(org.richfaces.component.Positioning direction)

    - #### getExecute

          public Object getExecute()

    - #### setExecute

          public void setExecute(Object execute)

    - #### isFollowMouse

          public boolean isFollowMouse()

      Description copied from class: `AbstractTooltip`
      If "true" tooltip should follow the mouse while it moves over the parent element. Default value is "true"
      Specified by:
        `isFollowMouse` in class `AbstractTooltip`

    - #### setFollowMouse

          public void setFollowMouse(boolean followMouse)

    - #### getHideDelay

          public int getHideDelay()

      Description copied from class: `AbstractTooltip`
      Delay in milliseconds before tooltip will be hidden. Default value is "0"
      Specified by:
        `getHideDelay` in class `AbstractTooltip`

    - #### setHideDelay

          public void setHideDelay(int hideDelay)

    - #### getHideEvent

          public String getHideEvent()

      Description copied from class: `AbstractTooltip`
      Event that triggers the tooltip disappearance. Default value is "mouseleave"
      Specified by:
        `getHideEvent` in class `AbstractTooltip`

    - #### setHideEvent

          public void setHideEvent(String hideEvent)

    - #### getHorizontalOffset

          public int getHorizontalOffset()

      Description copied from class: `AbstractTooltip`
      Sets the horizontal offset between pop-up list and mouse pointer. Default value is "10"
      Specified by:
        `getHorizontalOffset` in class `AbstractTooltip`

    - #### setHorizontalOffset

          public void setHorizontalOffset(int horizontalOffset)

    - #### getJointPoint

          public org.richfaces.component.Positioning getJointPoint()

      Specified by:
        `getJointPoint` in class `AbstractTooltip`

    - #### setJointPoint

          public void setJointPoint(org.richfaces.component.Positioning jointPoint)

    - #### getLang

          public String getLang()

      Specified by:
        `getLang` in interface `AbstractDivPanel`

    - #### setLang

          public void setLang(String lang)

    - #### getLayout

          public org.richfaces.TooltipLayout getLayout()

      Description copied from class: `AbstractTooltip`
      Block/inline mode flag. Possible value are: "inline" or "block". Default value is "inline". Tooltip will contain div/span elements respectively.
      Specified by:
        `getLayout` in class `AbstractTooltip`

    - #### setLayout

          public void setLayout(org.richfaces.TooltipLayout layout)

    - #### isLimitRender

          public boolean isLimitRender()

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getMode

          public org.richfaces.TooltipMode getMode()

      Description copied from class: `AbstractTooltip`
      Controls the way of data loading to a tooltip. May have following values: "client" (default) and "ajax"
      Specified by:
        `getMode` in class `AbstractTooltip`

    - #### setMode

          public void setMode(org.richfaces.TooltipMode mode)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbeforehide

          public String getOnbeforehide()

      Specified by:
        `getOnbeforehide` in class `AbstractTooltip`

    - #### setOnbeforehide

          public void setOnbeforehide(String onbeforehide)

    - #### getOnbeforeshow

          public String getOnbeforeshow()

      Specified by:
        `getOnbeforeshow` in class `AbstractTooltip`

    - #### setOnbeforeshow

          public void setOnbeforeshow(String onbeforeshow)

    - #### getOnbegin

          public String getOnbegin()

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in interface `AbstractDivPanel`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOncomplete

          public String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in interface `AbstractDivPanel`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnhide

          public String getOnhide()

      Specified by:
        `getOnhide` in class `AbstractTooltip`

    - #### setOnhide

          public void setOnhide(String onhide)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in interface `AbstractDivPanel`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in interface `AbstractDivPanel`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in interface `AbstractDivPanel`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in interface `AbstractDivPanel`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in interface `AbstractDivPanel`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnshow

          public String getOnshow()

      Specified by:
        `getOnshow` in class `AbstractTooltip`

    - #### setOnshow

          public void setOnshow(String onshow)

    - #### getRender

          public Object getRender()

    - #### setRender

          public void setRender(Object render)

    - #### getShowDelay

          public int getShowDelay()

      Description copied from class: `AbstractTooltip`
      Delay in milliseconds before tooltip will be displayed. Default value is "0"
      Specified by:
        `getShowDelay` in class `AbstractTooltip`

    - #### setShowDelay

          public void setShowDelay(int showDelay)

    - #### getShowEvent

          public String getShowEvent()

      Description copied from class: `AbstractTooltip`
      Event that triggers the tooltip. Default value is "mouseenter"
      Specified by:
        `getShowEvent` in class `AbstractTooltip`

    - #### setShowEvent

          public void setShowEvent(String showEvent)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getStyle

          public String getStyle()

      Specified by:
        `getStyle` in interface `AbstractDivPanel`
      Specified by:
        `getStyle` in class `AbstractTooltip`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in interface `AbstractDivPanel`
      Specified by:
        `getStyleClass` in class `AbstractTooltip`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in interface `AbstractDivPanel`

    - #### setTitle

          public void setTitle(String title)

    - #### getVerticalOffset

          public int getVerticalOffset()

      Description copied from class: `AbstractTooltip`
      Sets the vertical offset between pop-up list and mouse pointer. Default value is "10"
      Specified by:
        `getVerticalOffset` in class `AbstractTooltip`

    - #### setVerticalOffset

          public void setVerticalOffset(int verticalOffset)

    - #### getZindex

          public int getZindex()

      Specified by:
        `getZindex` in class `AbstractTooltip`

    - #### setZindex

          public void setZindex(int zindex)

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.